Update a contact
curl --request PUT \
--url https://api.recepta.ai/api/v1/api/contacts/{clientId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phone": "<string>",
"tags": [
"<string>"
],
"status": "<string>",
"notes": "<string>",
"customFields": {}
}
'import requests
url = "https://api.recepta.ai/api/v1/api/contacts/{clientId}"
payload = {
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phone": "<string>",
"tags": ["<string>"],
"status": "<string>",
"notes": "<string>",
"customFields": {}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: '<string>',
lastName: '<string>',
email: '<string>',
phone: '<string>',
tags: ['<string>'],
status: '<string>',
notes: '<string>',
customFields: {}
})
};
fetch('https://api.recepta.ai/api/v1/api/contacts/{clientId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"client": {
"id": "697929d5ebccbcca5cdaf13b",
"firstName": "Jane",
"lastName": "Doe",
"fullName": "Jane Doe",
"email": "jane@example.com",
"phone": "+15551234567",
"source": "API",
"tags": [
"lead",
"website"
],
"status": "active",
"notes": "Interested in premium plan",
"company_name": "Acme Corp",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"country": "<string>",
"customFields": {
"referralSource": "google"
},
"isActive": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}
}{
"success": false,
"message": "Error description"
}Contacts
Update a Contact
Update fields on an existing contact. Only send the fields you want to change. Permission: contacts:update
PUT
/
api
/
contacts
/
{clientId}
Update a contact
Authorizations
Your Recepta API key (starts with rcp_)
Path Parameters
Contact ID
Body
application/json
⌘I

